Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008062TestLinkBug Tracking System - Mantis Integrationpublic2017-08-26 16:512017-08-28 07:17
ReporterAshish Sarode 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows 8.1OS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version 
Summary0008062: Test Link and Mantis Integration
DescriptionI am facing issue while integrating Test Link and Mantis. At the time of creating connection I am getting below error


Fatal error: Uncaught ArgumentCountError: Too few arguments to function mantisdbInterface::__construct(), 2 passed in E:\xampp\htdocs\testlink\lib\issuetrackers\issueTrackerCommands.class.php on line 268 and exactly 3 expected in E:\xampp\htdocs\testlink\lib\issuetrackerintegration\mantisdbInterface.class.php:34 Stack trace: #0 E:\xampp\htdocs\testlink\lib\issuetrackers\issueTrackerCommands.class.php(268): mantisdbInterface->__construct(4, '<!-- Template m...') #1 E:\xampp\htdocs\testlink\lib\issuetrackers\issueTrackerEdit.php(23): issueTrackerCommands->checkConnection(Object(stdClass), Array) 0000002 {main} thrown in E:\xampp\htdocs\testlink\lib\issuetrackerintegration\mantisdbInterface.class.php on line 34

I am using testlink and mantis in E drive and as localhost.I am using below file for connection

<!-- Template mantisdbInterface -->
<issuetracker>
<dbhost>localhost</dbhost>
<dbname>bugtracker</dbname>
<dbtype>mysql</dbtype>
<dbuser>root</dbuser>
<dbpassword>root</dbpassword>
<uriview>http://localhost/mantis/view.php?id=</uriview> [^]
<uricreate>http://localhost/mantis/</uricreate> [^]
<!-- Optional -->
<statuscfg>
<status><code>10</code><verbose>new</verbose><color>#ffa0a0</color></status>
<status><code>20</code><verbose>feedback</verbose><color>#ff50a8</color></status>
<status><code>30</code><verbose>acknowledged</verbose><color>#ffd850</color></status>
<status><code>40</code><verbose>confirmed</verbose><color>#ffffb0</color></status>
<status><code>50</code><verbose>assigned</verbose><color>#c8c8ff</color></status>
<status><code>80</code><verbose>resolved</verbose><color>#cceedd</color></status>
<status><code>90</code><verbose>closed</verbose><color>#e8e8e8</color></status>
</statuscfg>
<!-- Configure This if you want NON STANDARD BEHAIVOUR for considered issue resolved -->
<resolvedstatus>
<status><code>80</code><verbose>resolved</verbose></status>
<status><code>90</code><verbose>closed</verbose></status>
</resolvedstatus>
</issuetracker>

Can you please suggest what is exactly missing or its mantis issue.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon error_Testexecution.PNG [^] (85,217 bytes) 2017-08-27 15:36


png file icon error ko.png [^] (120,678 bytes) 2017-08-27 16:08

- Relationships

-  Notes
(0026787)
fman (administrator)
2017-08-27 13:49

please apply these changes:
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/20a47dd65c48522f3a072aac8c5b985a2eae2fdb [^]

retest & provide feedback
(0026789)
Ashish Sarode (reporter)
2017-08-27 15:38

Now Test connection working fine.

But at the time of Testcase execution when I am selecting particular Test case it showing below error:

Fatal error: Uncaught Error: Cannot use string offset as an array in E:\xampp\htdocs\testlink\lib\execute\execSetResults.php:1533 Stack trace: #0 E:\xampp\htdocs\testlink\lib\execute\execSetResults.php(94): processTestCase(NULL, Object(stdClass), Object(stdClass), Object(stdClass), Array, Object(tree), Object(testcase), Object(tlAttachmentRepository)) #1 {main} thrown in E:\xampp\htdocs\testlink\lib\execute\execSetResults.php on line 1533

Attaching same screenshot for same error. Is there any changes required for Test execution also.
(0026790)
Ashish Sarode (reporter)
2017-08-27 16:07

Hi

  I resolved that Test execution issue by referring your old Post.

But still didn't got bug tracking mantis icon after executing test case. I have already assigned it to project.

  On Test connection it showing KO.I am using below configuration for connection.

<!-- Template mantisdbInterface -->
<issuetracker>
<dbhost>localhost</dbhost>
<dbname>teslink</dbname>
<dbtype>mysql</dbtype>
<dbuser>root</dbuser>
<dbpassword></dbpassword>
<uriview>http://localhost/mantis/view.php?id=</uriview> [^]
<uricreate>http://localhost/mantis</uricreate> [^]
<!-- Optional -->
<statuscfg>
<status><code>10</code><verbose>new</verbose><color>#ffa0a0</color></status>
<status><code>20</code><verbose>feedback</verbose><color>#ff50a8</color></status>
<status><code>30</code><verbose>acknowledged</verbose><color>#ffd850</color></status>
<status><code>40</code><verbose>confirmed</verbose><color>#ffffb0</color></status>
<status><code>50</code><verbose>assigned</verbose><color>#c8c8ff</color></status>
<status><code>80</code><verbose>resolved</verbose><color>#cceedd</color></status>
<status><code>90</code><verbose>closed</verbose><color>#e8e8e8</color></status>
</statuscfg>
<!-- Configure This if you want NON STANDARD BEHAIVOUR for considered issue resolved -->
<resolvedstatus>
<status><code>80</code><verbose>resolved</verbose></status>
<status><code>90</code><verbose>closed</verbose></status>
</resolvedstatus>
</issuetracker>

Attaching error screenshot
(0026791)
Ashish Sarode (reporter)
2017-08-27 16:19

Hi Team,

  Issue resolved. It was my bad I missed database password in configuration.

  Thanks for your quick response provided changes working fine.

Regards,
Ashish

- Issue History
Date Modified Username Field Change
2017-08-26 16:51 Ashish Sarode New Issue
2017-08-27 13:49 fman Note Added: 0026787
2017-08-27 13:50 fman Assigned To => fman
2017-08-27 13:50 fman Status new => feedback
2017-08-27 15:36 Ashish Sarode File Added: error_Testexecution.PNG
2017-08-27 15:38 Ashish Sarode Note Added: 0026789
2017-08-27 15:38 Ashish Sarode Status feedback => assigned
2017-08-27 16:07 Ashish Sarode Note Added: 0026790
2017-08-27 16:08 Ashish Sarode File Added: error ko.png
2017-08-27 16:19 Ashish Sarode Note Added: 0026791
2017-08-28 07:17 fman QA Team - Task Workflow Status => TBD
2017-08-28 07:17 fman Status assigned => resolved
2017-08-28 07:17 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker